﻿--[[ 	GupPet by Gup 	]]--

GUPPET_S = {} ;
GUPPET_L = {} ;
GUPPET_Z = {} ;
GUPPET_C = {} ;
GUPPET_T = {} ;

-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

	-- For the key bind interface
	BINDING_HEADER_GUPPET = "GupPet";
	BINDING_NAME_GUPPET_AUTO = "Auto select";
	BINDING_NAME_GUPPET_AUTOFLY = "Auto select fly";
	BINDING_NAME_GUPPET_AUTOGROUND = "Auto select ground";
	BINDING_NAME_GUPPET_SLOWGROUNDMOUNT = "Slow ground mount";
	BINDING_NAME_GUPPET_FASTGROUNDMOUNT = "Fast ground mount";
	BINDING_NAME_GUPPET_SLOWFLYMOUNT = "Slow fly mount";
	BINDING_NAME_GUPPET_FASTFLYMOUNT = "Fast fly mount";
	BINDING_NAME_GUPPET_CALLCOMPANION = "Call companion";
	BINDING_NAME_GUPPET_AQUATICMOUNT = "Aquatic mount";

	-- Slash Commands
	GUPPET_S["SLASH"] = "The start command is '/GP' or '/GupPet'" ;
	GUPPET_S["USE"] = " or " ;
	GUPPET_S["SLOWGROUNDMOUNT"] = { "sgm" , "slowgroundmount"	, "Selects random a slow ground mount" } ;
	GUPPET_S["FASTGROUNDMOUNT"] = { "fgm" , "fastgroundmount"	, "Selects random a fast ground mount" } ;
	GUPPET_S["SLOWFLYMOUNT"] 	= { "sfm" , "slowflymount" 		, "Selects random a slow fly mount" } ;
	GUPPET_S["FASTFLYMOUNT"] 	= { "ffm" , "fastflymount" 		, "Selects random a fast fly mount" } ;
	GUPPET_S["AQUATICMOUNT"]	= { "aqm" , "aquaticmount" 		, "Selects random a aquatic mount" } ;  
	GUPPET_S["AUTOMOUNT"] 		= { "am"  , "automount" 		, "Selects automatic a random mount depending on the location if you can fly" } ;
	GUPPET_S["AUTOGROUNDMOUNT"] = { "agm" , "autogroundmount" 	, "Selects random a ground mount" } ;
	GUPPET_S["AUTOFLYMOUNT"]	= { "afm" , "autoflymount" 		, "Selects random a fly mount" } ;
	GUPPET_S["CALLCOMPANION"] 	= { "cc"  , "callcompanion" 	, "Selects random a companion" } ;
	GUPPET_S["DEBUG"] 			= { "debug" , "debug" , "" } ;
	GUPPET_S["OPTIONMENU"] 		= { "om"  , "optionmenu" 		, "Shortcut to the optionmenu" } ;
	
	
	-- Other
	GUPPET_L["OPTIONS"]	= "Options";
	GUPPET_L["MOUNTSCOMPANIONS"]	= "Mounts + Companions";
	GUPPET_L["CLOSE"]	= "Close";
		
	GUPPET_L["ADD"]				= { "Add" , "Adds the current location" };
	GUPPET_L["REMOVE"]			= { "Remove" , "Removes the selected location" };
	GUPPET_L["ALLAQUATICMOUNT"]	= { "Aquatic" , "" };
	GUPPET_L["ALLGROUNDMOUNT"]	= { "Ground" , "" };
	GUPPET_L["ALLFLYMOUNT"]		= { "Fly" , "" };
	GUPPET_L["ALLCOMPANION"]	= { "Companion" , "" };
	
	GUPPET_L["ENABLE"]		= { "Enable" , "" };
	GUPPET_L["DISABLE"]		= { "Disable" , "" };
	GUPPET_L["SHOW"]		= { "Show" , "" };
	GUPPET_L["LOCKED"]		= { "Locked" , "" };
	GUPPET_L["SCALE"]		= { "Scale" , "Small", "Big" };
	GUPPET_L["COMPANIONBUTTONSHOW"]		= { "Show companion button" , "" };
	GUPPET_L["RESTORE"]		= { "Restore" , "Restore the position of the actionbuttons to the center of the screen" };
	--
	GUPPET_L["BUTTONMODE"]	= { "Mount button auto" , "Change the amount of buttons from one to two", "If you are seeing this message your client language is not supported" };
	GUPPET_L["EXPERTMODE"]	= { "Expert Mode" , "Change the mode to expert user where you can set even more vars to random your pets" };
	
	GUPPET_L["AQUATICMOUNT"]	= { "" , "" };
	GUPPET_L["SLOWGROUNDMOUNT"]	= { "Slow" , "(60%)" };
	GUPPET_L["FASTGROUNDMOUNT"]	= { "Fast" , "(100%)" };
	GUPPET_L["SLOWFLYMOUNT"]	= { "Slow" , "(60%)" };
	GUPPET_L["FASTFLYMOUNT"]	= { "Fast" , "(280% + 310%)" };
	GUPPET_L["COMPANION"]		= { "" , "" };
	
	GUPPET_L["AUTOCALLCOMPANION"]	= "Auto Call Companion" ;
	GUPPET_L["AUTOCALLCOMPANION_ENABLE"] 	= { "Enable" , "" };
	GUPPET_L["AUTOCALLCOMPANION_CITY"] 	= { "City" , "" };
	GUPPET_L["AUTOCALLCOMPANION_OUTSIDE"] = { "Outside" , "" };
	GUPPET_L["AUTOCALLCOMPANION_ARENA"] 	= { "Arena" , "" };
	GUPPET_L["AUTOCALLCOMPANION_INSTANCE"] = { "Instance" , "" };
	GUPPET_L["AUTOCALLCOMPANION_BATTLEGROUND"] = { "BattleGround" , "" };
	GUPPET_L["AUTOCALLCOMPANION_DELAY"] 	= { "Delay" , "The time the auto call function waits in seconds from 2 to 10" };
	
	GUPPET_L["SLASHCOMMANDS"]		= { "Slashcommands" , "" };
	GUPPET_L["EXTRA"]				= { "Extra" , "" };
	GUPPET_L["CLASS"]				= { "Class" , "" };
	GUPPET_L["AUTODISMOUNT"]		= { "Auto dismount" , "Automatically dismount when you receive the 'You are mounted' error if you are not flying" };
	GUPPET_L["INGAMEBUTTONS"]		= { "Ingame Buttons" , "" };
	
	GUPPET_L["DRUID_Fly"]		= { "Use Fly form" , "" };
	GUPPET_L["DRUID_Aquatic"]	= { "Use Aquatic form" , "" };
	
	GUPPET_L["SHAMAN_Ghost"]	= { "Use GhostWolf while moving" , "" };
	
	GUPPET_L["INTERFACE_REMOVE"] = { "Are you sure you want to remove %s" , "Yes", "No" };
	GUPPET_L["INTERFACE_CHANGEMODE"] = { "This action requers a reload. Continue ?" , "Yes", "No" };
	--	GUPPET_L[" "]	= { " " , "" };
	
	GUPPET_L["INGAMEBUTTONS_AUTO"]		= { "Auto Select" , " +Shift to force a ground type" , " +Alt to use TravelFrom / GhostWolf" };
	GUPPET_L["INGAMEBUTTONS_GROUND"]	= { "Auto Ground" , "" };
	GUPPET_L["INGAMEBUTTONS_FLY"]		= { "Auto Fly" , "" };
	GUPPET_L["INGAMEBUTTONS_COMPANION"]	= { "Random Companion" , "" };
	
	-- Texts for in chat
	GUPPET_T["UNKNOWNMOUNTFOUND"] = "An unknown mount has been found.  Please report this so that it can be added to future versions."	;
	GUPPET_T["NEWVERSIONFOUND"] = "A NEW version has been found. The new version is v." ;
	GUPPET_T["CANTCALLCOMPANION"] = "No companion can be called ( None Enabled )" ;
	GUPPET_T["CANTCALLCOMPANIONNOSNOWBALL"] = "No companion can be called. All enabled use snowballs and you have none with you" ;
	GUPPET_T["CANTCALLGROUNDMOUNT"] = "No ground mount can be called ( None Enabled )" ;
	GUPPET_T["CANTCALLFLYMOUNT"] = "No fly mount can be called ( None Enabled )" ;
	GUPPET_T["CANTCALLAQUATICMOUNT"] = "No aquatic mount can be called ( None Enabled )" ;
	GUPPET_T["DEBUGMODEON"] = "Debug mode ON";
	GUPPET_T["DEBUGMODEOFF"] = "Debug mode OFF";
	GUPPET_T["LOADED"] = "Loaded";
	GUPPET_T["NOTSUPPORTED"] = "|cffee4400 Your language is not yet implemented. So the autodetection is disabled. ";
	GUPPET_T["UNKNOWNSLASHCOMMAND"] = "|cffee4400 The slashcommand you entered is not correct. Check the optionmenu for the correct one.";
	
	-- Categories
	GUPPET_C["GLOBALWORLD"]	=	"Global World" ;
	GUPPET_C["CITIES"]		=	"Cities" ;
	GUPPET_C["INSTANCES"]	=	"Instances" ;
	GUPPET_C["ARENAS"]		=	"Arenas" ;
	GUPPET_C["BATTLEGROUNDS"]	=	"BattleGrounds" ;
	
	-- Zones ( For autodetection system )
	GUPPET_Z["SUPPORT"] = true ;
	GUPPET_Z["WINTERGRASP"] = "Wintergrasp";
	GUPPET_Z["CRYSTALSONGFOREST"] = "Crystalsong Forest";
	GUPPET_Z["DALARAN"] = "Dalaran";
	GUPPET_Z["SUB_THEUNDERBELLY"] = "The Underbelly";
	GUPPET_Z["SUB_KRASUSLANDING"] = "Krasus' Landing";
	GUPPET_Z["SUB_THEVIOLETCITADEL"] = "The Violet Citadel";
	GUPPET_Z["SUB_CANTRIPSCROWS"] = "Cantrips & Crows";
	GUPPET_Z["SUB_THEPURPLEPARLOR"] = "The Purple Parlor";
	
	
	
-------------------------------------------------------------------------------
-- French localization
-------------------------------------------------------------------------------
if (GetLocale() == "frFR") then

	GUPPET_Z["SUPPORT"] = false ;
end


-------------------------------------------------------------------------------
-- German localization
-------------------------------------------------------------------------------
if (GetLocale() == "deDE") then
	
	-- Zones ( For autodetection system )
	GUPPET_Z["SUPPORT"] = true ;
	GUPPET_Z["WINTERGRASP"] = "Tausendwintersee";
	GUPPET_Z["CRYSTALSONGFOREST"] = "Kristallsangwald";
	GUPPET_Z["DALARAN"] = "Dalaran";
	GUPPET_Z["SUB_THEUNDERBELLY"] = "Die Schattenseite";
	GUPPET_Z["SUB_KRASUSLANDING"] = "Krasus' Landeplatz";
	GUPPET_Z["SUB_THEVIOLETCITADEL"] = "Die Violette Zitadelle";
	GUPPET_Z["SUB_CANTRIPSCROWS"] = "Zur Zauberkrähe";
	GUPPET_Z["SUB_THEPURPLEPARLOR"] = "Der Purpursalon";
end

-------------------------------------------------------------------------------
-- Spanish (Spain) localization
-------------------------------------------------------------------------------

if (GetLocale() == "esES") then	

	-- Zones ( For autodetection system )
	GUPPET_Z["SUPPORT"] = true ;
	GUPPET_Z["WINTERGRASP"] = "Conquista del Invierno";
	GUPPET_Z["CRYSTALSONGFOREST"] = "Bosque Canto de Cristal";
	GUPPET_Z["DALARAN"] = "Dalaran";
	GUPPET_Z["SUB_THEUNDERBELLY"] = "Los Bajos Fondos";
	GUPPET_Z["SUB_KRASUSLANDING"] = "Alto de Krasus";
	GUPPET_Z["SUB_THEVIOLETCITADEL"] = "La Ciudadela Violeta";
	GUPPET_Z["SUB_CANTRIPSCROWS"] = "Taberna de los Cuervos";
	GUPPET_Z["SUB_THEPURPLEPARLOR"] = "El Salón Púrpura";
end

-------------------------------------------------------------------------------
-- Spanish (Mexico) localization
-------------------------------------------------------------------------------

if (GetLocale() == "esMX") then
	
	GUPPET_Z["SUPPORT"] = false;
	
end

-------------------------------------------------------------------------------
-- Russian localization
-------------------------------------------------------------------------------

if (GetLocale() == "ruRU") then

	-- Zones ( For autodetection system )
	GUPPET_Z["SUPPORT"] = true ;
	GUPPET_Z["WINTERGRASP"] = "Озеро Ледяных Оков";
	GUPPET_Z["CRYSTALSONGFOREST"] = "Лес Хрустальной Песни";
	GUPPET_Z["DALARAN"] = "Даларан";
	GUPPET_Z["SUB_THEUNDERBELLY"] = "Клоака";
	GUPPET_Z["SUB_KRASUSLANDING"] = "Площадка Краса";
	GUPPET_Z["SUB_THEVIOLETCITADEL"] = "Аметистовая цитадель";
	GUPPET_Z["SUB_CANTRIPSCROWS"] = "Ведьма и Ворон";
	GUPPET_Z["SUB_THEPURPLEPARLOR"] = "Лиловая гостиная";


end

-------------------------------------------------------------------------------
-- Korean localization
-------------------------------------------------------------------------------

if (GetLocale() == "koKR") then

	GUPPET_Z["SUPPORT"] = false ;
	
end

-------------------------------------------------------------------------------
-- Chinese (simplified) localization
-------------------------------------------------------------------------------

if (GetLocale() == "zhCN") then
	
	GUPPET_Z["SUPPORT"] = false ;
end

-------------------------------------------------------------------------------
-- Chinese (traditional) localization
-------------------------------------------------------------------------------

if (GetLocale() == "zhTW") then

	GUPPET_Z["SUPPORT"] = false ;

end
